## org.eclipse.jetty.server
Class CookieCutter

    java.lang.Object
      org.eclipse.jetty.server.CookieCutter

    public class CookieCutter

extends Object

Cookie parser

Optimized stateful cookie parser. Cookies fields are added with the `addCookieField(String)` method and parsed on the next subsequent call to `getCookies()`. If the added fields are identical to those last added (as strings), then the cookies are not re parsed.

Constructor Summary
`CookieCutter()`

Method Summary
`void` `addCookieField(String f)`
`Cookie[]` `getCookies()`
`protected void` `parseFields()`
`void` `reset()`
`void` `setCookies(Cookie[] cookies)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieCutter

    public CookieCutter()

Method Detail

### getCookies

    public Cookie[] getCookies()

### setCookies

    public void setCookies(Cookie[] cookies)

### reset

    public void reset()

### addCookieField

    public void addCookieField(String f)

### parseFields

    protected void parseFields()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.